import { readFileSync } from 'fs';

export = {
    user: (username: string) => {
        if (username === 'na') {
            return {
                statusCode: 1,
            };
        }
        return {
            statusCode: 0,
            statusMsg: null,
            userInfo: {
                user: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1603573200&x-signature=XGaOhkftgl2fNr%2BT1OpxPVWUWY4%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1603573200&x-signature=bl%2BxXbD9ME6Tt4VNcWtPDAX4PZI%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1603573200&x-signature=4%2FrCxmt8FiH7M9RY%2Bx%2F7WVzd0Og%3D',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 1,
                    openFavorite: true,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                stats: { followingCount: 491, followerCount: 48300000, heartCount: 241100000, videoCount: 112, diggCount: 35, heart: 241100000 },
                shareMeta: {
                    title: 'TikTok on TikTok',
                    desc: '@tiktok 48.0m Followers, 491 Following, 241.0m Likes - Watch awesome short videos created by TikTok',
                },
            },
            predictedLanguage: 'en',
            metaParams: {
                title: "TikTok (@tiktok) Official TikTok | Watch TikTok's Newest TikTok Videos",
                keywords: 'TikTok,tiktok,TikTok, ティックトック, tik tok, tick tock, tic tok, tic toc, tictok, тик ток, ticktock',
                description: 'TikTok (@tiktok) on TikTok | 241.1M Likes. 48.3M Fans. Make Your Day Watch the latest video from TikTok (@tiktok).',
                canonicalHref: 'https://www.tiktok.com/@tiktok',
                robotsContent: 'index, follow',
                applicableDevice: 'pc, mobile',
            },
            itemList: [],
            descVideo: {},
        };
    },
    hashtag: (hashtag: string) => {
        if (hashtag === 'na') {
            return {
                statusCode: 1,
            };
        }
        return {
            statusCode: 0,
            statusMsg: null,
            challengeInfo: {
                challenge: {
                    id: '99770',
                    title: 'duett',
                    desc: 'Habt ihr schon unsere neue Duett-Funktion gecheckt? Oben, unten, links, rechts alles möglich jetzt.',
                    profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    isCommerce: false,
                },
                stats: { videoCount: 0, viewCount: 37100000000 },
                shareMeta: { title: '#duett on TikTok', desc: '37099.0m views - Watch awesome short videos created with trending hashtag #duett' },
                challengeAnnouncement: {},
            },
            predictedLanguage: 'en',
            metaParams: {
                title: '#duett Hashtag Videos on TikTok',
                keywords: 'duett,TikTok, ティックトック, tik tok, tick tock, tic tok, tic toc, tictok, тик ток, ticktock',
                description:
                    '#duett | 37.1B people have watched this. Watch short videos about #duett on TikTok. Habt ihr schon unsere neue Duett-Funktion gecheckt? Oben, unten, links, rechts alles möglich jetzt.',
                canonicalHref: 'https://www.tiktok.com/tag/duett',
                robotsContent: 'index, follow',
                applicableDevice: 'pc, mobile',
            },
            itemList: [],
            descVideo: {},
        };
    },
    listV2: {
        statusCode: 0,
        items: [
            {
                id: '6912598122988326149',
                desc: 'Thank you for celebrating NYE with us! We had a blast saying #bye2020 and #welcome2021 👋',
                createTime: 1609464681,
                video: {
                    id: 'awesome',
                    height: 996,
                    width: 576,
                    duration: 59,
                    ratio: '720p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/605c3836ad774205938ff132416421f2?x-expires=1609966800&x-signature=5r9%2Fy12SR%2B3Svt7QREd%2FCDQY788%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/cc686bbfc0c448ed92be22070fea4aea_1609464683?x-expires=1609966800&x-signature=o%2Fqe41FOdUb%2FFoKw5S9YQS95%2BYc%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/f8831bdc11ec4f7f91e5fcc961330818_1609489072?x-expires=1609966800&x-signature=N8Kc8FHkozR2EWwcNAovcGrUhzw%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-ve-0068c004/a399bf27d3154c6a96be614129017652/?a=1988&br=2954&bt=1477&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968223&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajhweXNtNWw6eTMzNTczM0ApZzs6ZzkzNjw4NzM2ZDloZ2dxb3I2NDBfamtfLS1fMTZzcy0zMGM1YF81YDIvMTBhNmI6Yw%3D%3D&signature=fef3058b108a8baa78cf26351d9f787b&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-ve-0068c004/a399bf27d3154c6a96be614129017652/?a=1988&br=2954&bt=1477&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968223&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajhweXNtNWw6eTMzNTczM0ApZzs6ZzkzNjw4NzM2ZDloZ2dxb3I2NDBfamtfLS1fMTZzcy0zMGM1YF81YDIvMTBhNmI6Yw%3D%3D&signature=fef3058b108a8baa78cf26351d9f787b&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/cc686bbfc0c448ed92be22070fea4aea_1609464683~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=5051rkn%2F6iyplC6zalNOBncAzUU%3D',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/cc686bbfc0c448ed92be22070fea4aea_1609464683~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=21ba9UCpGatopGO3P8wOEsszBpo%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/605c3836ad774205938ff132416421f2?x-expires=1609966800&x-signature=5r9%2Fy12SR%2B3Svt7QREd%2FCDQY788%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6912598083385789189',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-va.tiktokcdn.com/musically-maliva-obj/6912694306805418757.mp3?x-expires=1609968164&x-signature=Jor%2BIwdh3RbajAyARS%2FC1WfXh%2FE%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 59,
                    album: '',
                },
                challenges: [
                    {
                        id: '1640302203126790',
                        title: 'bye2020',
                        desc: "What a year... Show us how you've grown, and what you're leaving behind in 2020 👋🏼  https://bit.ly/2MfCMb4",
                        profileThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/92b4fa02fc5f0d54526d03dedf5dac1d',
                        profileMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/92b4fa02fc5f0d54526d03dedf5dac1d',
                        profileLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/92b4fa02fc5f0d54526d03dedf5dac1d',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                        isCommerce: false,
                    },
                    {
                        id: '1654424622002182',
                        title: 'welcome2021',
                        desc: 'Say hello to 2021.',
                        profileThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/f4f5498b21daee19aaed820ac71d20cc',
                        profileMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/f4f5498b21daee19aaed820ac71d20cc',
                        profileLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/f4f5498b21daee19aaed820ac71d20cc',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                        isCommerce: false,
                    },
                ],
                stats: {
                    diggCount: 85700,
                    shareCount: 680,
                    commentCount: 16600,
                    playCount: 853600,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 61,
                        end: 69,
                        hashtagName: 'bye2020',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                    {
                        awemeId: '',
                        start: 74,
                        end: 86,
                        hashtagName: 'welcome2021',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: true,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: false,
            },
            {
                id: '6911370401054526725',
                desc: '@lilyachty and @brittany_broski  are hosting our 2020 countdown! Tune in December 31st starting at 9:30pm ET',
                createTime: 1609178834,
                video: {
                    id: 'awesome',
                    height: 1024,
                    width: 576,
                    duration: 26,
                    ratio: '720p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/a21949dec46042f187fe0c2e10fafeca?x-expires=1609966800&x-signature=Gh7zy0uXtd5jLCiua0jALMQbQfs%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/06b387c98840448da16f6db36a11651c_1609178836?x-expires=1609966800&x-signature=wnkdhAWRrekCVSxx49V5%2F3ZOpPc%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/04b9b6c3150e4975af445a32de4b5653_1609178837?x-expires=1609966800&x-signature=OXCQtKfsPCoz58FU2EaLVwvK8hk%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/8816937799d6479cac39838e77319126/?a=1988&br=2212&bt=1106&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968190&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=amQ0cm4zcms0eTMzNTczM0ApZzlmOjY5aTtlNzQ5MzgzPGdibDZnY2A2cWlfLS1gMTZzczRfMmJjLl9gYTEuYDJfL146Yw%3D%3D&signature=c6f2e70aeee2ee5aeea48d207a013128&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/8816937799d6479cac39838e77319126/?a=1988&br=2212&bt=1106&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968190&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=amQ0cm4zcms0eTMzNTczM0ApZzlmOjY5aTtlNzQ5MzgzPGdibDZnY2A2cWlfLS1gMTZzczRfMmJjLl9gYTEuYDJfL146Yw%3D%3D&signature=c6f2e70aeee2ee5aeea48d207a013128&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/06b387c98840448da16f6db36a11651c_1609178836~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=gaVd5Lzp4k3%2Ff0iMiyAWl6Gszy4%3D',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/06b387c98840448da16f6db36a11651c_1609178836~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=KwyEvb6jqSC2UHTEdfKxcCDnuog%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/a21949dec46042f187fe0c2e10fafeca?x-expires=1609966800&x-signature=Gh7zy0uXtd5jLCiua0jALMQbQfs%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6911370400299535109',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-va.tiktokcdn.com/musically-maliva-obj/6911370425989663494.mp3?x-expires=1609968164&x-signature=v4VWDYEOnG5vtFSw6Hq%2B9Z1bmG8%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 26,
                    album: '',
                },
                stats: {
                    diggCount: 1500000,
                    shareCount: 8297,
                    commentCount: 46300,
                    playCount: 115500000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 0,
                        end: 10,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6569595380449902597',
                        isCommerce: false,
                        userUniqueId: 'lilyachty',
                        secUid: 'MS4wLjABAAAAsHntXC3s0AvxcecggxsoVa4eAiT8OVafVZ4OQXxy-9htpnUi0sOYSr0kGGD1Loud',
                    },
                    {
                        awemeId: '',
                        start: 15,
                        end: 31,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6654347804955213829',
                        isCommerce: false,
                        userUniqueId: 'brittany_broski',
                        secUid: 'MS4wLjABAAAAnxGcfCHoC4R5DZ-i8htc0vqiDHT9Y0N2aYbNBcXTKOVsN63zeHBiaW0Lcyo4Yj4I',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: true,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: false,
            },
            {
                id: '6909171131882802434',
                desc: "No matter how you celebrate, we hope it's filled with joy. #ItStartsOnTikTok #HolidaysOurWay",
                createTime: 1608666916,
                video: {
                    id: 'awesome',
                    height: 1920,
                    width: 1080,
                    duration: 15,
                    ratio: '1080p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0de101363ebb4dfe9b5312bd1853f34e?x-expires=1609966800&x-signature=9NhDH74FQQ3HR%2BBY2OHtw%2BQ9XBk%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0de101363ebb4dfe9b5312bd1853f34e?x-expires=1609966800&x-signature=9NhDH74FQQ3HR%2BBY2OHtw%2BQ9XBk%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/fe129dab0f1c4469a64db64d2eee370a_1608608850?x-expires=1609966800&x-signature=GGRENyzyzFHuR6I03cZkeTszYss%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/alisg/tos-alisg-v-0000/b8cfb43a5e554fbd8a02626774dcdf3a/?a=1988&br=6270&bt=3135&cd=0%7C0%7C0&cr=0&cs=0&cv=1&dr=0&ds=4&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajU5b3llZWtweTMzZjYzM0ApOGkzZjw7aGVoNzc8NmdmZGdnYnMzazIubGRfLS0tMDRzc18zMS0tYjEvYWMzNF5hXzQ6Yw%3D%3D&signature=b5813a8fc8a7e179f6a177331140bdc8&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/alisg/tos-alisg-v-0000/b8cfb43a5e554fbd8a02626774dcdf3a/?a=1988&br=6270&bt=3135&cd=0%7C0%7C0&cr=0&cs=0&cv=1&dr=0&ds=4&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajU5b3llZWtweTMzZjYzM0ApOGkzZjw7aGVoNzc8NmdmZGdnYnMzazIubGRfLS0tMDRzc18zMS0tYjEvYWMzNF5hXzQ6Yw%3D%3D&signature=b5813a8fc8a7e179f6a177331140bdc8&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/v0201/0de101363ebb4dfe9b5312bd1853f34e~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=Qj5xwTr7W3kkP%2FQmf1t%2BpeWMFwg%3D',
                        'https://p16-sign-sg.tiktokcdn.com/v0201/0de101363ebb4dfe9b5312bd1853f34e~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=ZN5MBE2DJhDD6Tvv543LRtoqxjw%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0de101363ebb4dfe9b5312bd1853f34e?x-expires=1609966800&x-signature=9NhDH74FQQ3HR%2BBY2OHtw%2BQ9XBk%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6909171756188109570',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-sg.tiktokcdn.com/tiktok-obj/6909171730317708034.mp3?x-expires=1609968164&x-signature=K7SuJ2Ab0dPwbiZT9KbrvFtb3Bw%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 15,
                    album: '',
                },
                challenges: [
                    {
                        id: '1674849239179270',
                        title: 'itstartsontiktok',
                        desc:
                            "Whether it's learning something new, listening to the latest chart topping songs, joining viral dance craze, finding your own community, creating memories with your loved ones or showing off your culture and heritage, #ItStartsOnTikTok. Share your TikTok journey with us and how it has changed your life!",
                        profileThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/ae562668a7addc55637bf5bf23dd6fb8',
                        profileMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/ae562668a7addc55637bf5bf23dd6fb8',
                        profileLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/ae562668a7addc55637bf5bf23dd6fb8',
                        coverThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/c8a73f609e548ef7b2bf413830b13ba8',
                        coverMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/c8a73f609e548ef7b2bf413830b13ba8',
                        coverLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/c8a73f609e548ef7b2bf413830b13ba8',
                        isCommerce: false,
                    },
                    {
                        id: '1683548181219330',
                        title: 'holidaysourway',
                        desc:
                            "The holidays might be a bit different this year, but that doesn't mean we can't celebrate the #HolidaysOurWay. We're teaming with our creator community and Nabela Noor to ring in the season, so show us your family traditions, cultural celebrations, and favorite memories, and celebrate the holidays together on TikTok!",
                        profileThumb: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/c5bb5de3f3b1e8003280cd6f0ed88dfe',
                        profileMedium: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/c5bb5de3f3b1e8003280cd6f0ed88dfe',
                        profileLarger: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/c5bb5de3f3b1e8003280cd6f0ed88dfe',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                        isCommerce: false,
                    },
                ],
                stats: {
                    diggCount: 380100,
                    shareCount: 1036,
                    commentCount: 15800,
                    playCount: 6700000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 59,
                        end: 76,
                        hashtagName: 'ItStartsOnTikTok',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                    {
                        awemeId: '',
                        start: 77,
                        end: 92,
                        hashtagName: 'HolidaysOurWay',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: false,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: true,
            },
            {
                id: '6907709736355908869',
                desc: 'Check out your #YearOnTikTok to see what videos you loved, shared, and discovered!',
                createTime: 1608326522,
                video: {
                    id: 'awesome',
                    height: 1024,
                    width: 576,
                    duration: 20,
                    ratio: '720p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/c030caa8908f4017bafffc68ec220d96_1608326525?x-expires=1609966800&x-signature=YSCUPwhWcWysAYCk5mIfOVACA4E%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/59d37541ec074fa6888ababce9581136_1608326523?x-expires=1609966800&x-signature=6e0QNDW22BUW2AwLllZicmdke4Q%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/590c6acbd6374f28871824725004d5f0_1608526841?x-expires=1609966800&x-signature=4TNW2korHFNmKNTGcrxo%2FOfoARk%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/517ef5c1a70e4513b1a1ff6152d08afd/?a=1988&br=874&bt=437&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968183&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajlrbW5ud3ZreTMzNzczM0ApaWgzMzhlZDxkN2ZlOmk6ZGdfcnJjNS5hbmJfLS0vMTZzczUzMC8vXjM2NjViYWEzNjI6Yw%3D%3D&signature=049435e4a8766430c081fbef43871559&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/517ef5c1a70e4513b1a1ff6152d08afd/?a=1988&br=874&bt=437&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968183&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=ajlrbW5ud3ZreTMzNzczM0ApaWgzMzhlZDxkN2ZlOmk6ZGdfcnJjNS5hbmJfLS0vMTZzczUzMC8vXjM2NjViYWEzNjI6Yw%3D%3D&signature=049435e4a8766430c081fbef43871559&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/59d37541ec074fa6888ababce9581136_1608326523~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=6TidH3IxPfBFyctgZEU5SQzsSWM%3D',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/59d37541ec074fa6888ababce9581136_1608326523~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=oCXyB7FPsnSQBTvioqK0nFLzBlE%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/c030caa8908f4017bafffc68ec220d96_1608326525?x-expires=1609966800&x-signature=YSCUPwhWcWysAYCk5mIfOVACA4E%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6907709696745032454',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-sg.tiktokcdn.com/tiktok-obj/6908566715693746945.mp3?x-expires=1609968164&x-signature=HRS3J9kpX4KAw8UxBlbNZCVsSyg%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 19,
                    album: '',
                },
                challenges: [
                    {
                        id: '1648405776717830',
                        title: 'yearontiktok',
                        desc:
                            "Here's to the TikTok community for helping us all get through 2020. Just search #YearOnTikTok to get started, take a look back, and show us your 2020. https://vm.tiktok.com/ZMJpCgEyM",
                        profileThumb: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/6a46081646ac528183eaa8eecebe4b13',
                        profileMedium: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/6a46081646ac528183eaa8eecebe4b13',
                        profileLarger: 'https://p77-sg.tiktokcdn.com/obj/tiktok-obj/6a46081646ac528183eaa8eecebe4b13',
                        coverThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/16bbc000d277c512c9519c39ee855115',
                        coverMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/16bbc000d277c512c9519c39ee855115',
                        coverLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/16bbc000d277c512c9519c39ee855115',
                        isCommerce: false,
                    },
                ],
                stats: {
                    diggCount: 463700,
                    shareCount: 6873,
                    commentCount: 18800,
                    playCount: 31500000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 15,
                        end: 28,
                        hashtagName: 'yearontiktok',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: true,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: false,
            },
            {
                id: '6906565862132698370',
                desc: 'Creators like @AlanChikinChow are giving back during #GivingSzn Here’s how you can donate too!',
                createTime: 1608060262,
                video: {
                    id: 'awesome',
                    height: 1920,
                    width: 1080,
                    duration: 44,
                    ratio: '1080p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0fe8aeb8cdd14bd3857bf063b6c1b0bd?x-expires=1609966800&x-signature=Nb7IHQgjt6As%2BwKPVzLqZ%2FELlF8%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0fe8aeb8cdd14bd3857bf063b6c1b0bd?x-expires=1609966800&x-signature=Nb7IHQgjt6As%2BwKPVzLqZ%2FELlF8%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/a6688060e2d2440ca14a5a13e26fe635_1608054346?x-expires=1609966800&x-signature=ecdVwG%2B7u30r5DBK7xCujn7YIqY%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/alisg/tos-alisg-v-0000/7dad1b39ecbb46af8d5fe3169324a3a9/?a=1988&br=3406&bt=1703&cd=0%7C0%7C0&cr=0&cs=0&cv=1&dr=0&ds=4&er=&expire=1609968208&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=and0Zm9pbWVpeTMzOjYzM0ApNjs4OjNlZTw2N2VpZ2g3OWdkLWBtazVlYGBfLS0zMDRzc15gYC8uNV41XmNgYmEyMTY6Yw%3D%3D&signature=be93b25cd1c64a4be8b25a23ee6a3567&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/alisg/tos-alisg-v-0000/7dad1b39ecbb46af8d5fe3169324a3a9/?a=1988&br=3406&bt=1703&cd=0%7C0%7C0&cr=0&cs=0&cv=1&dr=0&ds=4&er=&expire=1609968208&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=and0Zm9pbWVpeTMzOjYzM0ApNjs4OjNlZTw2N2VpZ2g3OWdkLWBtazVlYGBfLS0zMDRzc15gYC8uNV41XmNgYmEyMTY6Yw%3D%3D&signature=be93b25cd1c64a4be8b25a23ee6a3567&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/v0201/0fe8aeb8cdd14bd3857bf063b6c1b0bd~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=OoLEqsR9nUEyeYRID7bGzOtSs2M%3D',
                        'https://p16-sign-sg.tiktokcdn.com/v0201/0fe8aeb8cdd14bd3857bf063b6c1b0bd~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=LK%2BqOCqX7J0GHsGIdu2eK%2FEpzPM%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/v0201/0fe8aeb8cdd14bd3857bf063b6c1b0bd?x-expires=1609966800&x-signature=Nb7IHQgjt6As%2BwKPVzLqZ%2FELlF8%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6906566209408371457',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-sg.tiktokcdn.com/tiktok-obj/6907078443666590465.mp3?x-expires=1609968164&x-signature=leo4NCh5rQ86Q0DLaOGMaVqJt1o%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 44,
                    album: '',
                },
                challenges: [
                    {
                        id: '1620405117654022',
                        title: 'givingszn',
                        desc:
                            "December is here, so take a stand with us and spread good cheer. Whether it's using our new donation link in profile feature to support good causes, or just doing something nice for neighbors, join us this #GivingSzn and make a difference in your community!",
                        profileThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/8bc377815daeb6158583df70589ca409',
                        profileMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/8bc377815daeb6158583df70589ca409',
                        profileLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/8bc377815daeb6158583df70589ca409',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                        isCommerce: false,
                    },
                ],
                stats: {
                    diggCount: 475300,
                    shareCount: 2852,
                    commentCount: 22100,
                    playCount: 128500000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 53,
                        end: 63,
                        hashtagName: 'GivingSzn',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: false,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: true,
            },
            {
                id: '6889096755028233478',
                desc:
                    "LA friends, get your hands on all the TikTok food trends! Only on @postmates. Not in LA? Get Free Delivery using code 'TIKTOK' #TikTokTreats",
                createTime: 1603992884,
                video: {
                    id: 'awesome',
                    height: 960,
                    width: 540,
                    duration: 15,
                    ratio: '720p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/e4ec20bcd47641b59c5ac2c3946f835c?x-expires=1609966800&x-signature=B9WFwgx978TU4ChphbsUlXy3uuA%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/e505f4df780647c6b4a3032cb8dd30d1_1603992885?x-expires=1609966800&x-signature=jlU%2FhPChk0AN4yh%2BESuo%2FsEawE0%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/3b020d04a9704c81a3252f5f497dc603_1603992885?x-expires=1609966800&x-signature=OZmS9JeJJDQvEDiokJZ9dfCX2IE%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-ve-0068c004/7bb72ea2d1454d0a91c3e11da82c4872/?a=1988&br=1578&bt=789&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=M201Nms2ZzlpeDMzOTczM0ApNDw3MzVkOWQ6Nzc7aDVlN2doaWFocnNmbmFfLS0tMTZzcy9hMWI1NWI0MmJeXjBjNGM6Yw%3D%3D&signature=55b956885b6094078f80074f45da6bea&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-ve-0068c004/7bb72ea2d1454d0a91c3e11da82c4872/?a=1988&br=1578&bt=789&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=M201Nms2ZzlpeDMzOTczM0ApNDw3MzVkOWQ6Nzc7aDVlN2doaWFocnNmbmFfLS0tMTZzcy9hMWI1NWI0MmJeXjBjNGM6Yw%3D%3D&signature=55b956885b6094078f80074f45da6bea&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/e505f4df780647c6b4a3032cb8dd30d1_1603992885~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=nOPkFp1YimkekCRyJFY2e0k%2BTiE%3D',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/e505f4df780647c6b4a3032cb8dd30d1_1603992885~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=3an%2Fmu1Pg7tF4ZsCqDu8zz0W7Ik%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/e4ec20bcd47641b59c5ac2c3946f835c?x-expires=1609966800&x-signature=B9WFwgx978TU4ChphbsUlXy3uuA%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6889096820027378437',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-va.tiktokcdn.com/musically-maliva-obj/6889096532516276997.mp3?x-expires=1609968164&x-signature=5JGha9JinAOxL9PSSSVbm5FsBEM%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 15,
                    album: '',
                },
                challenges: [
                    {
                        id: '1613035962418177',
                        title: 'tiktoktreats',
                        desc:
                            "Whether you're whipping iced coffee, craving cloud bread, struggling to make tiny pancake cereal, or wishing you had a bento box, show us your version of #TikTokTreats.",
                        profileThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/5ddb6a4b565aa05b7d016f5feb0cc4d4',
                        profileMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/5ddb6a4b565aa05b7d016f5feb0cc4d4',
                        profileLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/5ddb6a4b565aa05b7d016f5feb0cc4d4',
                        coverThumb: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/d31033bad8f2e439bd33133b52e97854',
                        coverMedium: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/d31033bad8f2e439bd33133b52e97854',
                        coverLarger: 'https://p16-sg.tiktokcdn.com/obj/musically-maliva-obj/d31033bad8f2e439bd33133b52e97854',
                        isCommerce: false,
                    },
                ],
                stats: {
                    diggCount: 312500,
                    shareCount: 5695,
                    commentCount: 85800,
                    playCount: 4200000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 66,
                        end: 76,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6819518129459201030',
                        isCommerce: false,
                        userUniqueId: 'postmates',
                        secUid: 'MS4wLjABAAAAm-OzBNaotIfn829BBHF3oY04j2CnIss2ACvC_6NzLrxsn0uKEKg_vsxgUS3qgQBd',
                    },
                    {
                        awemeId: '',
                        start: 127,
                        end: 140,
                        hashtagName: 'tiktoktreats',
                        hashtagId: '',
                        type: 1,
                        userId: '',
                        isCommerce: false,
                        userUniqueId: '',
                        secUid: '',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: true,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: false,
            },
            {
                id: '6881450806688664838',
                desc: 'Good vibes only 🤙 @420doggface208 @mickfleetwood @tomhayes603',
                createTime: 1602212662,
                video: {
                    id: 'awesome',
                    height: 1024,
                    width: 576,
                    duration: 15,
                    ratio: '720p',
                    cover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/5f1e128e900c4008bd6d612964ef7d1b?x-expires=1609966800&x-signature=5wt0IGgTPQYIb2sKl8vgVLqcBWU%3D',
                    originCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/fe538f49b1334b75890ea3d741d3e357_1602212663?x-expires=1609966800&x-signature=pufadOM6j%2B%2FjOPk8%2F4ZamgYEwCA%3D',
                    dynamicCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/cbb3b6c54f44484c883009d3c9342aa5_1602212664?x-expires=1609966800&x-signature=C0fNUkF9X%2FHKcUxW958NWij%2BmWw%3D',
                    playAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/2141262fa24c4f7687f2d6b0df121616/?a=1988&br=3316&bt=1658&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=anFwZTh4N2R3dzMzZzczM0ApNWY0O2QzaDszNzxlOTRlN2dkbzVlbGRkM3NfLS0xMTZzc2EwNC4vLWEuYS5hMmFiMy06Yw%3D%3D&signature=257d408324255f27f031f261e3add327&tk=tt_webid_v2&vl=&vr=',
                    downloadAddr:
                        'https://v16-web.tiktok.com/video/tos/useast2a/tos-useast2a-pve-0068/2141262fa24c4f7687f2d6b0df121616/?a=1988&br=3316&bt=1658&cd=0%7C0%7C1&cr=0&cs=0&cv=1&dr=0&ds=3&er=&expire=1609968179&l=20210106152244010190185147390EEE80&lr=tiktok_m&mime_type=video_mp4&policy=2&qs=0&rc=anFwZTh4N2R3dzMzZzczM0ApNWY0O2QzaDszNzxlOTRlN2dkbzVlbGRkM3NfLS0xMTZzc2EwNC4vLWEuYS5hMmFiMy06Yw%3D%3D&signature=257d408324255f27f031f261e3add327&tk=tt_webid_v2&vl=&vr=',
                    shareCover: [
                        '',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/fe538f49b1334b75890ea3d741d3e357_1602212663~tplv-tiktok-play.jpeg?x-expires=1609966800&x-signature=G25uQ5S2HHbJ6zlcARdHPNpndfE%3D',
                        'https://p16-sign-sg.tiktokcdn.com/tos-maliva-p-0068/fe538f49b1334b75890ea3d741d3e357_1602212663~tplv-tiktok-play2.jpeg?x-expires=1609966800&x-signature=UjHifH1ft%2FBfgoqur2b7ARvPJSo%3D',
                    ],
                    reflowCover:
                        'https://p16-sign-sg.tiktokcdn.com/obj/tos-maliva-p-0068/5f1e128e900c4008bd6d612964ef7d1b?x-expires=1609966800&x-signature=5wt0IGgTPQYIb2sKl8vgVLqcBWU%3D',
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    signature: 'It Starts On TikTok',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 0,
                    openFavorite: false,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                music: {
                    id: '6881450829518293766',
                    title: 'original sound',
                    playUrl:
                        'https://sf16-sign-va.tiktokcdn.com/musically-maliva-obj/6881438287077116678.mp3?x-expires=1609968164&x-signature=XD1WBeOTXI6p%2Bl1U5SCEnIvqihg%3D',
                    coverThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1610031600&x-signature=tdwl8X0F9mLNVEwrPgpxIWifCZg%3D',
                    coverMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1610031600&x-signature=403Ics8nYi%2B%2B9xOFJchLkHxNj9A%3D',
                    coverLarge:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1610031600&x-signature=bD1%2BhrCifxWecS3P9H5n6P%2BpuNI%3D',
                    authorName: 'TikTok',
                    original: true,
                    duration: 15,
                    album: '',
                },
                stats: {
                    diggCount: 1700000,
                    shareCount: 16800,
                    commentCount: 43500,
                    playCount: 49100000,
                },
                duetInfo: {
                    duetFromId: '0',
                },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    {
                        awemeId: '',
                        start: 19,
                        end: 34,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6734826725426267142',
                        isCommerce: false,
                        userUniqueId: '420doggface208',
                        secUid: 'MS4wLjABAAAABEJLoTAKQtX4LLRcg0hQx2n99yGVgZ1gFBpmC5uwBIMQOMDSfEbIz6NUm_9KMD0E',
                    },
                    {
                        awemeId: '',
                        start: 35,
                        end: 49,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6878763511033054213',
                        isCommerce: false,
                        userUniqueId: 'mickfleetwood',
                        secUid: 'MS4wLjABAAAATvYgNC3qMRgvjSzuFMtWTVAcCAdv6at1CXw4XL1Ey2Jmsng9JSWA2Q_4eyl7JCSn',
                    },
                    {
                        awemeId: '',
                        start: 50,
                        end: 62,
                        hashtagName: '',
                        hashtagId: '',
                        type: 0,
                        userId: '6875280427420288006',
                        isCommerce: false,
                        userUniqueId: 'tomhayes603',
                        secUid: 'MS4wLjABAAAAbFLFmoLrEbTB7-Ui8SoXuulJmUbjZRGfjfBBPs8kDtEKGEmN_9xZITVxpThgQsBX',
                    },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
                itemMute: false,
                authorStats: {
                    followingCount: 496,
                    followerCount: 50100000,
                    heartCount: 246000000,
                    videoCount: 118,
                    diggCount: 53,
                    heart: 246000000,
                },
                privateItem: false,
                duetEnabled: true,
                stitchEnabled: true,
                shareEnabled: true,
                isAd: false,
            },
        ],
        hasMore: true,
        maxCursor: '1586912225000',
        minCursor: '1609465433000',
    },
    list: {
        statusCode: 0,
        body: {
            pageState: {
                regionAppId: 1233,
                os: 'mac',
                region: 'NL',
                baseURL: 'm.tiktok.com',
                appType: 'm',
                fullUrl:
                    'https://m.tiktok.com/share/item/list?secUid=MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s&id=5831967&type=1&count=30&minCursor=0&maxCursor=0&shareUid=&lang=&_signature=lZvSTAAgEB8Zjl-pyvDej5Wb01AAMvv',
            },
            itemListData: [
                {
                    itemInfos: {
                        id: '6807325450981969158',
                        text: '',
                        createTime: '1584953968',
                        authorId: '5831967',
                        musicId: '6799337212367407877',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/23d8be88ee6b4cd09d44facd18ef86d4_1584953972'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a43b061c19c445d78587fb775e7c0175_1584953972'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f0c6b5ea5c2244b2b8f28cef8e70a0cd_1584953973'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/a01ef53a726eea58a7ce538ee46f8d5f/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/6372449d2b1f4236b06a56da83e54b44/?a=1233&br=1944&bt=972&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=andsa3N1d3U6czMzOzczM0ApNDk4ZmVlOTw1NzloNDpoNGc1YDI0ay0xaHBfLS0wMTZzc18wMjEtY14xYV80Y14xM2I6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 1563781,
                        shareCount: 6728,
                        playCount: 5893701,
                        commentCount: 46142,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6799337212367407877',
                        musicName: 'FOLLOW MY IG... SEWSHIII',
                        authorName: 'sewshiii',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659997213465654.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807321065019231494',
                        text: 'i tried my best',
                        createTime: '1584952947',
                        authorId: '5831967',
                        musicId: '318342249916887041',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/137280fc2952c6fa89fb7b750fd601da'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/39e91d664d1d4a22bee6580e2b1b870c_1584952951'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e74a0024e37b431fba21766d0fe4cbb6_1584952952'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/3e058d8c70b322ae76868e47f41b2d58/5e793953/video/tos/useast2a/tos-useast2a-pve-0068/560291e5aa8448e7a8b501241c4fc155/?a=1233&br=2496&bt=1248&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajs7N2Rrb3U6czMzOjczM0ApNmU2aTQ8aTtkN2c4NTs4aGdlLmA1cHE1YHBfLS01MTZzczY0YC0zYDVjXmA0NmFeYC46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 12,
                                duration: 12,
                            },
                        },
                        diggCount: 1260295,
                        shareCount: 3275,
                        playCount: 5135509,
                        commentCount: 27571,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '318342249916887041',
                        musicName: 'if u see this follow me',
                        authorName: 'deletedaodor',
                        original: true,
                        playUrl: [
                            'https://mpak-suse1.muscdn.com/reg02/original_track/2018/01/18/10/04eadf59-3c80-4de8-bc77-553f6b7efcf2_ArXMzhvbrc.m4a',
                        ],
                        covers: ['https://p16-sg.muscdn.com/china-img/aweme/100x100/8e57001370f7881a60b6.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/china-img/aweme/200x200/8e57001370f7881a60b6.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/china-img/aweme/720x720/8e57001370f7881a60b6.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807191893592509702',
                        text: '#greenscreen',
                        createTime: '1584922871',
                        authorId: '5831967',
                        musicId: '6794096335151811334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b8791c50c0454a46b104d99c30a39e96_1584922875'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/af3cc2a54ae64fc08a536b88f3bd9f15_1584922875'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b063be54f40542cab4ffef275fd386c2_1584922875'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/35576b0bd74e802b1e938eeb2442ca53/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c002/435e5af1f0cf4682bc3cc2fd3ac241ad/?a=1233&br=896&bt=448&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajplaDc8dHYzczMzNzczM0ApNjs4aTo4OjxpNzozaDM1NmdraS1zZW5oLnBfLS1gMTZzc2MxLWExLWFfYi80LmNeY2I6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2980613,
                        shareCount: 12659,
                        playCount: 11538897,
                        commentCount: 53768,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6794096335151811334',
                        musicName: 'original sound',
                        authorName: 'armando.m25',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658716105725974.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '801886',
                            challengeName: 'greenscreen',
                            isCommerce: false,
                            text:
                                'Try out our new #GreenScreen Creative Effect! Just pick an image from your camera roll, stand in front of a plain background, and make the next TikTok masterpiece.',
                            covers: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            coversMedium: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            coversLarger: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 12,
                            HashtagName: 'greenscreen',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807179365420469510',
                        text: 'my baby and i bonding during quarantine @1lonr',
                        createTime: '1584919954',
                        authorId: '5831967',
                        musicId: '6763939620360030210',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/0c9686668e7ccb55f55b21f963948846'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/293725abea0f4fbba33063a85e9fb619_1584919959'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/5e27218d2a9a4430b505066a346ea045_1584919959'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/c6e5c94dd687429c83a9958fd53d4c1c/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/4c8ce65c96794df9976f77a5533fe7e5/?a=1233&br=1350&bt=675&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ampyM3F3OjZ5czMzNzczM0ApNjM5NDwzNDw7N2ZoOmU8aWcyZG0tL2pfX29fLS1jMTZzc2AwYGBeYzQ0YV40LjExYmM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 1708572,
                        shareCount: 4453,
                        playCount: 7513451,
                        commentCount: 30007,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6763939620360030210',
                        musicName: 'Safe Zone',
                        authorName: 'Lonr.',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tos-alisg-v-0000/056d657453ef4a05b98603bc30a445af'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 40,
                            End: 46,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6598465936965222406',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807164365993757958',
                        text: '',
                        createTime: '1584916464',
                        authorId: '5831967',
                        musicId: '6800281264655026950',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/bc0e6ef35d0844a3b5f8eb4931bc03ed_1584916466'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f69d88fd1a2c4c69af03a250c67def40_1584916466'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e936abd839b84a5b86b4bb5b1bd7feb4_1584916467'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/e1ff3eb38555951025c18da9a15b68eb/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/f64cd3cf38774176b0f107551f0def53/?a=1233&br=1692&bt=846&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3k8a2drb254czMzNzczM0ApOzs3OjY0MzxlNzZlMzwzNGdzbHIvcHEtY29fLS1jMTZzc14wYjZjYy0zMC8tYi5iLzM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3974011,
                        shareCount: 18221,
                        playCount: 20151475,
                        commentCount: 56738,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6800281264655026950',
                        musicName: 'original sound',
                        authorName: 'curtisroach',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1660239249038341.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807163269829152005',
                        text: 'dc @anthonycerv',
                        createTime: '1584916206',
                        authorId: '5831967',
                        musicId: '6790976084075645701',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4ab817f806ff45ccaa83e17d4ed96989_1584916210'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/2ffb9eb23b1b4f2088c4538500c57aa5_1584916209'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/8350c5ade1864168aee0a85fb705489d_1584916210'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6ce0e00fe70a886268e004bfad26f7f3/5e79394f/video/tos/useast2a/tos-useast2a-ve-0068c003/d843e648e1ed47b68020902a10a3ec23/?a=1233&br=1874&bt=937&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anVzaXl1d2p4czMzNzczM0ApPGk7OWhpZWVpNzdkZ2Q6ZWcvMDZqay1wYW9fLS1eMTZzc2EuY14tLmIwXjMwNjA1Ml86Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 8,
                                duration: 8,
                            },
                        },
                        diggCount: 2290504,
                        shareCount: 26177,
                        playCount: 11407447,
                        commentCount: 26795,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6790976084075645701',
                        musicName: 'Cyber s3x by doja cat slowed down',
                        authorName: 'spider.webbb',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658016285992965.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 3,
                            End: 15,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6738537368553063429',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807148432805891333',
                        text: 'i made thus yesterday when i didn’t have power and have been debating if i should post or not but whatever #yolo',
                        createTime: '1584912752',
                        authorId: '5831967',
                        musicId: '6797587304127924225',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/aeee0bfaba4b46aa9dd67da1213bbee0_1584912754'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/86411dcdd2474e50bfcc51fcf3f525bc_1584912754'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b8cc135f55ea4566a210811fd1a48508_1584912755'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/fbfdf7aa1357d4493307197a5a8418ee/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/fbd9ca196c4642fc99dea971ca44ec61/?a=1233&br=1474&bt=737&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amxxcTY0a3R3czMzOjczM0ApODtnZDQ5ZmRmNzZmZjM4O2dlaDZmLW5uZm9fLS1jMTZzc2E1XjQ2YGItLi4vYzUyYDI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2205677,
                        shareCount: 8779,
                        playCount: 10922578,
                        commentCount: 42099,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6797587304127924225',
                        musicName: 'Take It Easy',
                        authorName: 'Surfaces',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tos-alisg-v-0000/8a85b51a84a1499d93004b02442a10c4'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '6772',
                            challengeName: 'yolo',
                            isCommerce: false,
                            text: '',
                            covers: [],
                            coversMedium: [],
                            coversLarger: [],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 107,
                            End: 112,
                            HashtagName: 'yolo',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807112081024978182',
                        text: '#duet with @charlidamelio THANK YOU ALL SO SO SO MUCH FOR 40 MILLION!!!! 🖤🖤🖤🖤🖤',
                        createTime: '1584904288',
                        authorId: '5831967',
                        musicId: '6699798649322392326',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7dbe5f4c70f848258e3f3585e76b11e1'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4ec4f08df5a64f36af70431c1455d158_1584904296'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a33eb1946ab94dad988c48cf39b7a603_1584904297'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/bc83cd6a4e156b743e4dbd25df98a85c/5e793955/video/tos/useast2a/tos-useast2a-pve-0068/9e25c966bc99403886db6ef6ef9dabd6/?a=1233&br=1254&bt=627&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amZ3bWRtZ3F1czMzNzczM0ApNTRnOzw6NWRpN2U4aTY1aGdxLTRrcWotZG9fLS1eMTZzc2AvNjExNWBgYjUvLS5hLi46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 648,
                                height: 576,
                                ratio: 14,
                                duration: 14,
                            },
                        },
                        diggCount: 2402674,
                        shareCount: 9004,
                        playCount: 11707353,
                        commentCount: 86386,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6699798649322392326',
                        musicName: 'walk man by tiny meat gang',
                        authorName: 'loveleo.o',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1635702802925574.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '30496',
                            challengeName: 'duet',
                            isCommerce: false,
                            text: 'Use our Duet feature because two is always better than one.',
                            covers: [],
                            coversMedium: [],
                            coversLarger: [],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '6763441913891687686',
                    textExtra: [
                        {
                            AwemeId: '6763441913891687686',
                            Start: 11,
                            End: 25,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '5831967',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 5,
                            HashtagName: 'duet',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806988671422663941',
                        text: '',
                        createTime: '1584875555',
                        authorId: '5831967',
                        musicId: '6795505198061112070',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d97a93caf8d74288a6190c30091d1859_1584875561'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/773fe78cb7b7402e923382a0d4db7690_1584875561'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/413ed4b01309444f86e98ac091226729_1584875562'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/2c622f5a0be0a68f604f393fe9008604/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/e073cf6674d446d882d38ee16eab55f8/?a=1233&br=1980&bt=990&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anNlZ212cTpuczMzOzczM0ApZTtlZjRkNTw3N2k2M2ZkN2ducTFkajNvZG9fLS0zMTZzc2JfYGIyNDQ1YmEwYWMtMjI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4754504,
                        shareCount: 26008,
                        playCount: 22102015,
                        commentCount: 99374,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6795505198061112070',
                        musicName: 'Sunday Best x Dont Start Now',
                        authorName: 'goalsounds',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659056441732118.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806985135024655621',
                        text: '',
                        createTime: '1584874732',
                        authorId: '5831967',
                        musicId: '6719194126186711813',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/fba4bf487d5a5b6afc7c87065df134a8'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/83d6df40f1c54e69bb795abb61fd2c2f_1584874737'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d64309cae93e4682a91d6842c5765fd0_1584874736'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/c668a106a51dc3b7f6ed49a1be4213e1/5e793951/video/tos/useast2a/tos-useast2a-ve-0068c001/492cdfeaf85e4238a0be948474d0a314/?a=1233&br=1804&bt=902&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2Q6ZTszaXRuczMzNjczM0ApOzhpaTk8NGU1N2Q3OjY8NmdwYzBoYTY0Nm9fLS02MTZzc2MyYGE2Yi8yNS4zNi01Xy06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 10,
                                duration: 10,
                            },
                        },
                        diggCount: 4073730,
                        shareCount: 12702,
                        playCount: 20805557,
                        commentCount: 56300,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6719194126186711813',
                        musicName: 'Change Ya Life',
                        authorName: 'Haiti Babii',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/ab84536f4dd86125d344411c1330ac59.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806983971495365893',
                        text: '',
                        createTime: '1584874461',
                        authorId: '5831967',
                        musicId: '291365655927304192',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/20c1fa9ad0894e7cbe640781fab0e377_1584874464'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d58879956fe147af94c2ba4568a7519e_1584874464'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/c1f735e16c404241952f055f5967bea2_1584874464'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6e91ee18ccc1be2f4260c5bb45a509f1/5e793954/video/tos/useast2a/tos-useast2a-pve-0068/ac7894bb56124bc6b2bef4fed3eeb2bd/?a=1233&br=1654&bt=827&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2hoOXZucnBuczMzNjczM0ApaDk5PDRmM2VkNzZoOzk8N2dlYS5tMi42NG9fLS02MTZzczYtXmIvNWIwNTZiNV8yYjA6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 13,
                                duration: 13,
                            },
                        },
                        diggCount: 2546899,
                        shareCount: 6005,
                        playCount: 11891830,
                        commentCount: 32876,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '291365655927304192',
                        musicName: 'Reckless (Nerd Switch)',
                        authorName: 'Healy',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/e3cf91c7cc778c5d361e3fdff6ce1a1e.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806980863776050437',
                        text: 'good morning!!!',
                        createTime: '1584873737',
                        authorId: '5831967',
                        musicId: '6796414458253150981',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f151616e63ad42bfa4c1d07734d25f45_1584873745'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6a3fcb0a387149ec801dcc0d48f0e5b5_1584873745'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/56903ca895684d4f942c94f6700e681c_1584873747'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/7d41d2dc44555681e056b721ee8acfa6/5e793950/video/tos/useast2a/tos-useast2a-pve-0068/7c846929ec3f401c8e1008fcce576c06/?a=1233&br=1728&bt=864&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2xkO21oaDRuczMzNzczM0ApOmk7aDw7NDxlN2hoZTs1Omc0YmNoZzBlL29fLS1jMTZzczRhMS02XmE0Li0yMDEwXy46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 2162308,
                        shareCount: 4610,
                        playCount: 10790448,
                        commentCount: 39843,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6796414458253150981',
                        musicName: 'original sound',
                        authorName: 'sophieestelletrow',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659288536292373.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806888843854269702',
                        text:
                            'pov you’re watching me preform my new dance i learned at age 7 from the shake it up online audition @conradrocha @sophia_connolly',
                        createTime: '1584852313',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/3577fcd2108a273885d227be73dc259a'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7f6d027fe95a48b58333f4c0c89a666d_1584852316'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/398840dd73f24fb4872502bed0054f1d_1584852316'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/be0708e26479bfc388bdcc25a060020d/5e793956/video/tos/useast2a/tos-useast2a-v-0068/9f651f7c64834b62846d153351e74919/?a=1233&br=8844&bt=4422&cr=0&cs=&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=13&rc=M3ZudXhpdG5oczMzPDczM0ApajhkeG5rOXR1ZTMzNDc8eWdkMl5yaGUzbm9fLS0uMTZzcy1waG9yY25oYm0tLTYxLS06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4394936,
                        shareCount: 28089,
                        playCount: 21556206,
                        commentCount: 44554,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 100,
                            End: 112,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 113,
                            End: 129,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806852222689774854',
                        text: 'dc @brennag33',
                        createTime: '1584843785',
                        authorId: '5831967',
                        musicId: '6788908513348291334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/741f824ef1cf81b9cb7679f90a466890'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d9f3db151e5c4b408041e15a087c67da_1584843789'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e5b2c87de9e9488599e85821f4caf5fb_1584843789'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6e510ebcf1c8ac237b08a8d4d462687f/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/1bb2d03acfd2476ca2975a645d5c63fd/?a=1233&br=2318&bt=1159&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajx1OXZucnBmczMzNjczM0ApaWY5OmhpNTs5NzU0NDY6ZGdkXy1tMi4ua29fLS02MTZzczE0Ml4yXzIuMzEzMDFeLzM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2431604,
                        shareCount: 41542,
                        playCount: 14492046,
                        commentCount: 36939,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6788908513348291334',
                        musicName: 'bottoms up',
                        authorName: 'ticarti',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1657440971496486.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 3,
                            End: 13,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6565148584613920773',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806819735200664838',
                        text: 'my friends are so kind i should do a part two',
                        createTime: '1584836221',
                        authorId: '5831967',
                        musicId: '6782282488229268229',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b6f561eb91dc960e29ff41f24f66c5e6'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b6d8f923d0b84a1abd28784b699497de_1584836225'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e490a5ffab204b3883723a3b6ecd055d_1584836225'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/29aa0f0dbdd21e00a0c8c526009282ec/5e79394e/video/tos/useast2a/tos-useast2a-ve-0068c004/b22750f833f74cfb9d58d7a8c469fffe/?a=1233&br=1434&bt=717&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3htanBuM3dkczMzNjczM0ApaTs1NDdmPDw4Nzs7Z2QzM2debnJzX18zcG9fLS02MTZzc2ExM2MxNmM1YWAuYDYyXi46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 7,
                                duration: 7,
                            },
                        },
                        diggCount: 2742288,
                        shareCount: 86902,
                        playCount: 17579961,
                        commentCount: 42279,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6782282488229268229',
                        musicName: 'DANCE 4 YOU',
                        authorName: 'datboybrock',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1655833830174725.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806771790552091909',
                        text: '@heididamelio @conradrocha @sophia_connolly',
                        createTime: '1584825058',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/776fe8411b0b4938b8e5d3d823b74c3f_1584825063'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/76166e6f75b54ef9bc5284a476908a76_1584825064'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/433bd160a8c045dab9bb8911ef785c09_1584825065'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/5548793015c4787fab6da1a85a9abd39/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c001/d234db49e5a84e7ebeb970336ca85f82/?a=1233&br=2028&bt=1014&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M29tO25nPHA7czMzNzczM0ApOGc1PDs0Nzs0NzpnOTNpaGdkXmtwNS4vMW9fLS1jMTZzczMzMF9hNGJhMS9eMTNhYzI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3194107,
                        shareCount: 36681,
                        playCount: 17170196,
                        commentCount: 31410,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 13,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '58201502112051200',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 14,
                            End: 26,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 27,
                            End: 43,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806770241096404229',
                        text: '@dameliofamilyofficial',
                        createTime: '1584824697',
                        authorId: '5831967',
                        musicId: '6805935984866282246',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6dfab9979b8b6e8a466d64ea78dc726b'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b26050fe015a4bda9ba13edb4daede8e_1584824704'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a3ed83862c1242539513f9468165fb8b_1584824702'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/2f1403359da568b10058c4f819326b30/5e793954/video/tos/useast2a/tos-useast2a-pve-0068/d2290a24ee544c74a29573652a1342f4/?a=1233&br=2976&bt=1488&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amhpZ3g7c207czMzOzczM0ApNzxnPDloZDw5N2U5NWdpO2deMXEvMjM1L29fLS0zMTZzczIvYTRgL2EzYzYvNjEvNS06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 13,
                                duration: 13,
                            },
                        },
                        diggCount: 4466297,
                        shareCount: 33477,
                        playCount: 22478228,
                        commentCount: 41539,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6805935984866282246',
                        musicName: 'Savage but a dad remix',
                        authorName: 'koofwip',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1661606128925718.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 22,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6780861124944266246',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806563332514991366',
                        text: 'my breathing strip looking fire',
                        createTime: '1584776524',
                        authorId: '5831967',
                        musicId: '6796414458253150981',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/83293e82d6b8a985e02727dd5e10d022'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/919860879db34d37a6ac079236649620_1584778724'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d4360754135d47abb3d977a794783eef_1584778728'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/017b63ac61cdb071138558b837bf63c5/5e793950/video/tos/useast2a/tos-useast2a-ve-0068c002/c8d7fcb317f1467bb8946dd70f11b56d/?a=1233&br=880&bt=440&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3Vpam5nN2x2czMzNzczM0ApZjs4PDRkODxkNztnZWdpOGdqYWg0cWRjXm5fLS1jMTZzc2A1LTAuMTRiYGA1MmFgNGE6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 4262270,
                        shareCount: 8862,
                        playCount: 24078586,
                        commentCount: 36253,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6796414458253150981',
                        musicName: 'original sound',
                        authorName: 'sophieestelletrow',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659288536292373.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806562609077259526',
                        text: 'it is 3:39 in the morning charli go to sleep',
                        createTime: '1584776356',
                        authorId: '5831967',
                        musicId: '6782979853672041222',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/0ccccee7e2ccfcee990513a44cf308fb'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/127848911f024327ae0b5f2baabe6e9a_1584778593'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/5dc1a023bfb643b4984b58018c6ea031_1584778592'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/b346b7c13dcd780af2881e34e47b3602/5e79394e/video/tos/useast2a/tos-useast2a-ve-0068c001/a938a3514bd04c5db67af3ddf6851149/?a=1233&br=590&bt=295&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anNoO21oaDt2czMzNzczM0ApaGdpM2dpZmQ5Nzw0ZTRpNGc2c2FoZzA2Nm5fLS1jMTZzczVgYjRiNGBhNC82Mi9hX2A6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 7,
                                duration: 7,
                            },
                        },
                        diggCount: 2818119,
                        shareCount: 7554,
                        playCount: 15024881,
                        commentCount: 29474,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6782979853672041222',
                        musicName: 'original sound',
                        authorName: 'ryanlangster',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1656001092359206.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806553221000072454',
                        text: 'pov you walk into the kitchen at 3 am and see this @dixiedamelio',
                        createTime: '1584774170',
                        authorId: '5831967',
                        musicId: '6795314762898049797',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/599104da770b49f5ad46e9a499a1c27c'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6bc1e3f1327447b293ce0da17125e91d_1584774173'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/af06f0f83fce452bab88152f4177817b_1584774174'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/120690005c7ced7146cc922a81a808e2/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c001/58b07a70a099450c806a5d73bef45cbd/?a=1233&br=2072&bt=1036&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=MztoeTNzZDh1czMzNzczM0ApODhlPDQ3ZmU7N2UzOmlmM2dmaW4tYi5jbG5fLS1gMTZzczNiYy5fYDMyMjVfMGE2LzA6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4768824,
                        shareCount: 16629,
                        playCount: 22634261,
                        commentCount: 38707,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6795314762898049797',
                        musicName: 'yike or die remix',
                        authorName: 'sydneybourne_',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659017840993286.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 51,
                            End: 64,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6539853526925841423',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806534743606283526',
                        text: 'please let me know who made this dance i love it',
                        createTime: '1584769868',
                        authorId: '5831967',
                        musicId: '6788908513348291334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f6292e621cd4415cb568d59ea180f3e8'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7e0f65be16b649e0997b1d94aa1f92cd_1584769871'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/815d44ade9e54bb98128f0234c374453_1584769871'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/323b67b8094b66624aad87ff7927d680/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/0874851a6ca144abbdc6e96ddb5003bb/?a=1233&br=1660&bt=830&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajVrcTszPGt0czMzNzczM0ApNWZpNjY2aWQ4NzVnaGk1ZWc2LmQzX25vam5fLS1eMTZzczEyXy9hMF9fYDNhMl5eNC46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3238084,
                        shareCount: 69602,
                        playCount: 19278651,
                        commentCount: 37089,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6788908513348291334',
                        musicName: 'bottoms up',
                        authorName: 'ticarti',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1657440971496486.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806529733677944070',
                        text: 'i will redo this tomorrow because it’s bad bad but oh well @conradrocha @sophia_connolly',
                        createTime: '1584768701',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/64be3e9ae0b7441568a4fff1baa29a3d'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/218c648da4a54a80a16e817548ac12fd_1584771226'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/bea334591c3c436fbe8817641ce8d8d1_1584771226'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/0e80791cc106f487ece4dd4e7570f3fb/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/f4f5aaacbe034d159eadae493d416ded/?a=1233&br=1180&bt=590&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amZ1a3E1bWd0czMzNzczM0ApOGlkaTtnZmQ6NzUzNzs4ZGcvZGVmcGBgYW5fLS1jMTZzc2M2LzYuYl9gLi5jMWNgXzU6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2246623,
                        shareCount: 21360,
                        playCount: 13325427,
                        commentCount: 23204,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 72,
                            End: 88,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 59,
                            End: 71,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806461739526409477',
                        text: 'thank you so much for 39 million!!!! 🖤🖤🖤 also rate my cake decorating skills🥺🥺',
                        createTime: '1584752869',
                        authorId: '5831967',
                        musicId: '6738439639826287365',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/9d375dcaa594e9fa034c55d090fed6dd'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/ee0b5c6958b4484196b8acb52abd175d_1584752872'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/abf35421c2b84000863a12e4b0489231_1584752873'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/a8a5dd6f53a941c667386bdf9eaaad64/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/10aae71e188746199eeb210393711e0a/?a=1233&br=2002&bt=1001&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anJseXc6bmtwczMzPDczM0ApZzQ3NWc0OmU0NzQ1Zjw6aGczM21hX2VnZW5fLS0uMTZzcy40MV82MTIwNDY0MmJeXi86Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 7037320,
                        shareCount: 23197,
                        playCount: 35276622,
                        commentCount: 195133,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6738439639826287365',
                        musicName: 'Roses - Imanbek Remix',
                        authorName: 'SAINt JHN',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/iesmusic-sg-local/muse-ma-obj/1645133300100134.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806404096765988102',
                        text: '',
                        createTime: '1584739448',
                        authorId: '5831967',
                        musicId: '6790976084075645701',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4f7abf05e09af0f5523352d44e16430d'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7f9ae77c9b0748258bfaf95c361da19e_1584739451'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/88183e767a9f46b391317ebdac00083a_1584739451'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/41c9c2ade439de32946ef7c4c7700659/5e793950/video/tos/useast2a/tos-useast2a-pve-0068/223eade3498645fc9f704f1d95ea5b55/?a=1233&br=1948&bt=974&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=Mzh3Z212cXdtczMzOzczM0ApNmk0aTw3NGQ3NzhkM2Q5Z2cxay5kajMwNW5fLS0zMTZzczMzMWJfMC0zX2A0MTNgLzQ6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 3711854,
                        shareCount: 19717,
                        playCount: 20120647,
                        commentCount: 62328,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6790976084075645701',
                        musicName: 'Cyber s3x by doja cat slowed down',
                        authorName: 'spider.webbb',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658016285992965.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
            ],
            itemABParams: [],
            hasMore: true,
            maxCursor: '1584739448000',
            minCursor: '1584980659000',
        },
        errMsg: null,
    },
    videoMeta: readFileSync('./src/core/__mocks__/__mockData__/videoMeta', { encoding: 'utf8' }),
    userMeta: readFileSync('./src/core/__mocks__/__mockData__/userMeta', { encoding: 'utf8' }),
};
